1.8.2 - 05/18/14
 Many bug fixes
 Fixed VCard output
 Added export for B-Folders
 Added export for KeePassX
 Changed the "enye" letter in Manana an "n", got tired of it causing problems (Ma\303\261ana to Manana)
 Made lots of stupid code changes to make the compiler warnings go away

1.8.1 - 04/05/11
 Added a jpilot-merge utility for merging unsynced records into a pdb file
 Fixes Debian bug #574030: jpilot: can't delete appointments
 Resolve bug 2012 where small months in Postcript printout overlapped a calendar event. 
 Fix multiple memory leaks all over code base
 Added a VCard export format optimized for GMail/Android import
 Correct iCal export for repeating events with an end date
 Add Category and Location fields to Calendar iCal export
 Add categories to left-hand side of Calendar application
 Add "cancel sync" button and icon to main jpilot window
 use CRLF for ToDo iCal export per RFC
 Add new "future" button to repeat appt. modification dialog so that changes only affect future occurrences
 Ability to install files directly to SDCARD, hardcoded to /PALM/Launcher/ directory
 Keyboard shortcuts to set priority of ToDo items with Alt+# where # is 1-5
 Add ability to launch external editor to quickly edit memo or note text.  Bound to Ctrl-E.

1.8.0 - 02/28/10
 Added support for Calendar app
 Requires pilot-link > 0.12.5
 GTK1 code removed.  GTK2 required
 Fix Bug 1991 : Categories are lost during first sync
 Export function for KeyRing data
 GUI changes: ToDo items due today are marked by a soft green color
 GUI changes: new alarm clock and lock icons
 GUI changes: radio buttons to select between timed and untimed events
 Overhaul VCARD export including adding IM, Birthday, Website fields
 As always many many bug other fixes and small changes, see Changelog.cvs for details

1.6.2 - 02/15/09
 Resolve segmentation fault when editing Contacts with attached pictures
 Resolve error where Contacts created on Palm could not be deleted with Jpilot
 Resolve sync error with simultaneously modified Contacts
 Overhaul of Expense plugin
 As always many many bug other fixes and small changes, see Changelog.cvs for details

 Added newer category syncronization code
 Added libgcrypt support
 Fixed Mac OS X bugs/crash
 Now requires pilot-link > 0.12.0
 As always many many bug other fixes and small changes, see Changelog.cvs for details

1.6.1 - 12/15/08
 Improved internationalization support
 Added newer category syncronization code
 Added libgcrypt support
 Fixed Mac OS X bugs/crash
 Now requires pilot-link > 0.12.0
 As always many many bug other fixes and small changes, see Changelog.cvs for details

1.6.0 - 05/27/08
 Support for MemosDB-PMem
 Support for ContactsDB-PAdd
 Syncing merged records fixes
 Added sortable columns in KeyRing
 Temporarily removed Edit categories
 Many many bug fixes and small changes

0.99.9 - 08/27/06
 Fixed a major Memo category sync bug.
 Removed clipboard code, which would cause X to freeze when ran with some
 applications, rdesktop, to name one.
 Many bug fixes, and GUI improvements, see Changelog.cvs for details

0.99.9-pre2 - 01/15/06 (Released by Ludovic Rousseau)
 Fix Bugzilla 1533 where null description in appointment crashes ical
  export of datebook
 Keyring: Added a field for the last changed date and set it to today
  when the record is changed.
 Search: 
  - Have focus default to search entry field when the Find window is
  called to the front
  - Added ability to hit Enter and automatically go to the currently
  highlighted record.
 Some more bugs fixed

0.99.9-pre1 - 12/18/05 (Released by Ludovic Rousseau)
 Generalization of GTK+2 stock buttons (butons with icon) and make
 J-Pilot more conform to GNOME Human Interface Guidelines
 Build with GTK+2 by default. Use --disable-gtk2 if you want GTK+1 instead
 Add Ukrainian and Korean translations
 Add support of Korean (CP949) encoding
 Correct a bug that prevented jpilot to start with GTK+ 2.8 (Ubuntu)
 Some more bugs fixed

0.99.8 - 11/30/05
 This release is dedicated to my Mother who unexpectedly passed away
 this last year.
 Added translation for Kinyarwanda
 Added panes to Expense and KeyRing

0.99.8-pre11 - 09/11/05
 Added an install user from the menu.
 Other miscellaneous fixes/changes

0.99.8-pre10 - 08/09/05 (Released by Ludovic Rousseau)
 Solve a data corruption problem when used with pilot-link 0.12
 Better support of 64-bit platforms
 The last character was truncated using Hebrew encoding
 Support localized date formats (for example Japanese)
 jpilot-sync works again (no more jp_logf relocation error)
 Some more bugs fixed

0.99.8-pre9 - 05/03/05 (Released by Ludovic Rousseau)
 Cut-n-paste using X11 clipboard (mouse middle clic)
 Return focus to the list after major operations which facilitates usability
 Add hotkey (shift-return) to move focus between list and data window
 In week and month views you can clic on a day to select it in the main view
 Add remote sync. use "jpilot -s" to start a sync on the running jpilot
 Add support of pilot-link 0.12.0-pre3
 Some more bugs fixed
 Updated translations: it, ja, fr
 jpilot-dump.c: convert from UTF8 to local encoding

0.99.8-pre8 - 02/19/05 (Released by Ludovic Rousseau)
 Cut-n-paste using GTK+ Ctrl-C/Ctrl-V now works across all four apps
 Replace Sync and Backup text buttons by an color icon
 Add Chinese BIG-5 Palm encoding
 Update ja, zh_TW translations
 GTK2 now uses CTRL+Enter consistently to apply changes
 Add Cancel button with ESC accelerator
 Added two preferences and code to
  1) Mark current day in monthview and weekview guis by adding "TODAY"
     to display
  2) Display the absolute number of an event which repeats yearly
     (usefulf or birthdays and anniversaries)

0.99.8-pre7 - 01/08/05 (Released by Ludovic Rousseau)
 Update zh_CN, zh_TW, cs and es translations
 Solve a crash in Japanese mode in address GUI
 Extract the first day of week (sunday or monday) from the system locale setting
 Add menu color icons for the 4 main applications
 Improve todo sorting
 Allow to cycle through the KeyRing categories by calling again the plugin
 Some more bugs fixed

0.99.8-pre6 - 11/27/04 (Released by Ludovic Rousseau)
 Solve the "different user ID sync" bug
 Solve the GUI "freeze" bug
 Some more bugs fixed

0.99.8-pre5 - 11/26/04 (Ludovic Rousseau)
 Solve the "undefined symbol: jp_charset_j2p" error
 Fix Japanese menu
 Some code cleanup

0.99.8-pre4 - 11/24/04 (Released by Ludovic Rousseau)
 Some more bugs fixed
 Improved search sorting
 Improved convertion to UTF-8 in case of errors
 Use GBK instead of GB2312 charset encoding for Chinese
 Use a radio item menu for Hide/Show/Mask records so that the state is
  clearly indicated
 Fix sort order for appts in datebook
 Complete Japanese translation

0.99.8-pre3 - 11/14/04 (Released by Ludovic Rousseau)
 Some more bugs fixed
 The right-hand side of jpilot were not updated on a cursor movement.
 Fixed unpredictable bug in repeating events caused by unitialized variable
 Use iconv to convert from the Palm charset to UTF-8. Thanks to Amit Aronovitch
  we now support many new charsets when used with GTK2:
  - Hebrew (CP1255),
  - Cyrillic (CP1251),
  - Cyrillic (KOI8-R),
  - Latin 2, Eastern Europe (ISO8859-2),
  - Japanese (SJIS),
  - Chinese (GB2312)
 Complete Chinese translation. Thanks to lei Yu
 The category selection was not working from the Export window for Addresses
 Give a more explicit error message when pi_bind() fails. We now have
  "permission denied" or "file not found" instead of "Illegal seek".
  Also display the device name we are trying to use.
  Thanks to Edgar Bonet for the patch
 New preference to show or hide popup tooltips
 Entries returned from datebook app during search were in random order
 Get first day of week from locale in GTK2, no preference setting

0.99.8-pre2 - 10/20/04 (Released by Ludovic Rousseau)
 some bugs fixed
 add the same keyboards accelerators for the 4 applications:
  Ctrl-D: Delete
  Ctrl-O: Copy
  Ctrl-N: New Record
  Ctrl-R: Add Record
  Ctrl-Return: Apply Changes
  Ctrl-Y: Sync
 KeyRing: can use non ASCII characters in name/account/password
 nice GTK2 color icons in the menu

0.99.8-pre1 - 10/02/04 (Released by Ludovic Rousseau)
 better UTF-8 handling (needed when using GTK2)
 sort todo list by clicking on column title
 lots of bugs fixed:
  bug 1330: invalid postscript when printing the todo list contains ( or )
  bug 1306: Keyring plugin truncates passwords
  bug 1056: Undelete feature desired
  bug 1338: Some repeating appointments do not show in monthview gui
  bug 1176: Adding ability to e-mail directly from address book
  bug 1182: Search screen needs a button
  bug 1322: GTK2.4 libraries require changes to jpilotrc files to preserve colors
  bug 1116: Word wrap provided when printing monthly calendar
  bug 1154: resorting in address book should leave selection bar on same entry
  bug 1107: show completed todos found through search regardless of show completed checkbox status
  bug 1153: Patch reduces flicker when deleting records
  bug 1131: ALT key for accelerator instead of control
  bug 1184: truncating buffers with non ASCII charsets

0.99.7 - 02/29/04
 Many bug fixes and small improvements
 Memo preferences hide-able
 Rewrote month and weekviews to be faster and resizable
 Iconify at startup
 More GTK2 support
 Added cp1253 support
 Remember last categories
 Highlight Overdue Todos

0.99.6 - 07/13/03
 Fixed categies incorrectly syncing on first time use
 Added number of records tooltip to datebook
 Fixed DST problem in alarms
 Added a hide not yet due todos button
 Added Record completion date on todos
 bug 637 fix couldn't select start/end times in GTK2
 Fixed bug 610, record dups when pressing page-up/down keys, and removed
  home key from going to today
 Fix DST on import
 Made install remember its last path
 Added plugin_pre_sync_pre_connect calls
 address_gui.c: ldif export crash, fix
 Many miscellaneous bugs fixes, etc.

0.99.5 - 02/21/03
 Fixed serious bug resulting in overwriting appointments on the palm (Serious bug)
 Restore now restores latest files instead of ones from last backup (Critical bug)
 Added -export-dynamic to Makefile to resolve jp_logf unresolved errors
 Made home key go to today in datebook
 Added dialog error windows instead of logging them
 If files are to be installed a prompt window opens before a sync/backup
 Browser windows open from jpilot menu
 When app button is pressed it will cycle through categories

0.99.4 - 01/13/03
 Ported code to GTK-2 (I used GTK-2.2)
 Added random password generation to KeyRing
 Added a dialer program and GUI launcher
 Added Syncronization of categories and editing categories on desktop
 Added Export of iCalendar format from ToDo and Datebook
 Added Export of vCard format from Address book
 Added Export of ldif format from Address book
 Added Russian Language Support
 Removed jpilot-upgrade-99

0.99.3 - 11/01/02
 Added Simplified Chinese translation
 Added Traditional Chinese translation
 Made dialog windows Modal
 Manana support http://bill.sexton.tripod.com/download.htm
 Changed code to keep unique IDs intact.
 Support for OS 4.X passwords.
 Better DateBk support
 (seperate entry field for tag, better detection of datebk records)
 Pop up dialogs during the sync when different user name, null ID is found.
 Lots of patches, bug fixes and minor improvements.

0.99.2 - 02/06/02
 Made changes to support pilot-link 0.10.1 and USB (palm m series and clies)
 Export for Datebook, Address, Todo, and Memo
 Import for Datebook, Address, Todo, and Memo
 Can now enter begin/end times into datebook by GUI, or keyboard.
 Put icons in clist title buttons.
 Prompts to Save a changed/new record instead of letting it get away.
 Drastically improved local database read speeds caused by bugs intro'd in 0.99
 Fixed misc bugs in alarms.
 Support for pedit (pedit is a memo editor for the palm).
 Added Preferences to choose conduits.
 Adding in better printing support.
 Adding in record masking support.
 Wrote a KeyRing plugin (KeyRing is a palm encryption app).
 Added Restore Functionality.
 Added plugin_startup & plugin_cleanup funcs to jpilot-sync.
 Added man pages.
 Added plugin_startup and plugin_cleanup to jpilot-sync.
 Added a default pdb file for Expenses.
 Added an icon when iconized.

0.99.1 - Skipped this version to avoid confusion.

0.99 - 02/06/01
 Alphabetized 4 main app categories and expense categories.
 New calendar begin/end setting method using keyboard.
 jpilot-sync program added to allow command line syncing.
 Made radio buttons for which phone # shows up in addr.
 Made month/week views obey categories.
 Made 4 main apps+expense more user friendly by detecting changes.
 Added prefs for optionally backing up DBs.
 Czech character set added.
 Russian character set added.
 Moved output screen to bottom panel in main window.
 Fixed many bugs in Expense and improved GUI.
 Fixed datebook entries showing weekly repeat.
 Added a large view window to the monthview.
 Fixed some DateBk3 bugs (templates showing as today, etc).
 Made Address screen stay as it was last used in quick/add view mode.
 Alarms.
 Sorted memos if they are sorted on the handheld.
 Replaced calendar buttons (array) with a gtk_calendar widget.
 Made Quickview a page on the address Notebook.
 Made private records hidable using palm password.
 Made changes for Japanese and Chinese and Korean and multibyte characters.
 Included Synctime in rpm and made it detect and avoid PalmOS 3.30.
 Made the creation of ~/.jpilot and ~/.jpilot/backup* perms 0700 & ~umask.
  If upgrading then you may want to change the permissions of ~/.jpilot/ for
  security reasons.
 Made completed ToDos not print if hidden.
 Minor postscript improvements.
 Made plugin conduits selectable wether to sync or not.  

0.98 - 3/01/00
 Postscript printing support
 db3 support, datebook categories
 cleanup_pc_files improved
 Major performance increases in datebook, and other DBs
 Made DBs with slashes in them backup
 Fast sync
 Backup changes/fixes
 Made pc databases compact themselves for users without a palm
 Fixed time in week/month and daily views to use prefs
 gettext
 Made century non-leap year compliant for the year 2400 :)
 Fixed minor category problem (deleted on remote)
 Fixed redraws (menus and db3) after syncing
 Remember categories after switching apps
 ToDo: Due date disappears when "No Due Date" selected

0.97 - 12/22/99
 Added Weekly and Monthly views.
 Multiple backups supported, selectable from preferences.
 Block reset pilots and changed user names from syncing.
 Put paned windows in 4 main apps and made them remember where set.
 Made Graffiti Shortcuts installable.
 Changed to qsort from bubblesort.
 Removed logic to make category go to ALL after add.
 Remember window size after restart.
 Changed from using HOME to using JPILOT_HOME then default to HOME.
 Fixed menu history for categories (wasn't always correct).
 Fixed Expense plugin not always showing all of the categories.
 Fixed directory for global plugins.
 Made the dialog raise less annoying.
 Work around for bug where empty appointments crash PalmOS 2.0.  An empty
  appointment description will get set to a space.

0.96 - 11/10/99
 Plugin (conduit) support added.
 Patch for reversed todo sorting.
 Timesheet plugin (not yet fully working)
 Wrote an Expense plugin for an example plugin.
 Wrote a SyncTime plugin.
 Created a User Manual.
 Created plugin programmer documentation.
 Datebook problem with GMT and repeating appts fixed (were off 1 day
  in certain cases).
 I made TAB cycle through the text boxes during data entry.
 I added validation checks to repeating appts so that invalid appointments
  can't be entered into the palm.
 I Made clists bahave more intuitively.  They stay put when changing data now.
 Week of the year numbers added on the calendar.

0.95 - 09/09/99 (This is a key Y2K date, it'll probably blow up)
 Made fixes to configure for Solaris (-lsocket).
 Removed file locking code.
 Highlighted calendar days with appointments.
 Fixed a big memory leak in addresses.
 Todos now show due date.
 Hide completed todos is stored in preferences, so it will be remembered.
 make install now installs empty DB files into share.  These are copied to
  ~/.jpilot/ the first time jpilot is ran, so that it behaves before the
  first sync.
 Replaced all C++ style comments with C style comments.
 
0.94 - 08/28/99
 Fixed up the configure script for Solaris, and Debian users.
 Minor GUI changes/improvements.
 Added an Install screen.
 0.93 Didn't show the last todo in the DB file, fixed.

0.93 - 08/10/99
 Changed vsnprintf and snprintf to g_vsnprintf and g_snprintf for portability.
 Changed flock calls to fcntl for portability.
 Changed logf to jpilot_logf because logf is a call in libm on some systems
 (portability).
 Added Menus.
 Added a quickfind in the address app.
 Put in a global search (find) window.
 Put in a preferences window and rc file support.
 Added support for different date formats (localization).
 Added support for weeks beginning on Monday (localization).
 Added support for choosing the colors file from the preferences window.
 Added a configure script.
 Added in Japanese support.
 Misc GUI improvements and code improvements.
 
0.92 - 07/18/99
 Fixed problem reading palm db files with 0 records.
 Added option for viewing only uncompleted todos.
 Fixed a GUI problem when adding an address the phone menus didn't update
  right while selecting addresses on the left pane.
 Added a window to show the syncing output.
 Added a full backup button.
 Added forking of a process to do the sync in the background.
 Fixed category label in todo, address, and memo apps.
 Added modify capability in datebook, address, todo, and memo apps.
 Added the ability to check/uncheck todos.
 When deleteing repeating appointments it will now ask if you intend to delete
  just one occurence, or all occurences.
 Added some tooltips to show how many records are in a DB.
 
0.91 - 07/03/99
 Fixed some feof() problem that caused datebook to not work on RedHat 6.0
 I rewrote the entire datebook.c file
 Put in code to create and test for writability of ~/.jpilot/
 Put it gtk_set_locale() for other language support on Solaris.
 Moved syncing code from datebook.c to sync.c
 Created a jpilot-syncd, a daemon syncing program.
 Made Feb 29th (Leap Day) yearly appointments repeat on the 28th of non-Leap
   years, just as on the palm pilot.
 Also fixed monthly repeating appointments that occur past the last day in the
  current month. These didn't use to appear in jpilot.
 Fixed a few bugs in creating new repeat monthly appointments.
 Fixed a few bugs in displaying monthly repeating appointments.
 When creating a monthly appointment that repeats "By Day":
  Added in a dialog box to ask if an appointment is intended to repeat in the
  4th occurence of that day in the a month, or the last occurence of that day
  in the month.  This is only asked when it cannot be deduced.
  The Palm Pilot will also ask this question.
 Fixed Mobile not being displayed in address app.

0.90a - 06/23/99
 Initial release.
